### Method

# Foundry PathCache contains

#### Declaration [src]

    gboolean
    foundry_path_cache_contains (
      FoundryPathCache* self,
      const char* program_name,
      gboolean* had_program_path
    )

#### Description [src]

This function helps for detecting negative cache entries without copying the program_path string.

#### Parameters

`program_name`

  Type: `const char*`

  The name of the program to lookup.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`had_program_path`

  Type: `gboolean*`

  A location to store if a path was found for `program_name`.

  The argument will be set by the function.
  The argument can be set to `NULL` by the method.

#### Return value

Type: `gboolean`

`TRUE` if an entry was found and `had_program_path` is set; otherwise `FALSE`.